program TiendaWeb_Tests;
{

  Delphi DUnit Test Project
  -------------------------
  This project contains the DUnit test framework and the GUI/Console test runners.
  Add "CONSOLE_TESTRUNNER" to the conditional defines entry in the project options 
  to use the console test runner.  Otherwise the GUI test runner will be used by 
  default.

}

{$IFDEF CONSOLE_TESTRUNNER}
{$APPTYPE CONSOLE}
{$ENDIF}

uses
  Forms,
  TestFramework,
  GUITestRunner,
  TextTestRunner,
  uTiendaWebViewRegister,
  uDataModuleUsuarios,
  uHostMainForm in 'uHostMainForm.pas' {HostMainForm},
  uOscCustomersController_test in 'uOscCustomersController_test.pas',
  uTiendaWebController_test in 'uTiendaWebController_test.pas';

{$R *.RES}

begin
  Application.Initialize;
  Application.CreateForm(THostMainForm, HostMainForm);
  uTiendaWebViewRegister.RegisterViews;
  if dmUsuarios.Login then
  begin
    dmUsuarios.IDEmpresaActual := 1;
    Application.Run;
  end;
  Application.Terminate;
end.

